html #wrapper>.message-wrapper {
    font-size: 1rem;
}
.columns-list>.col {
    max-width: 100% !important;
    -ms-flex-preferred-size: 100% !important;
    flex-basis: 100% !important;
}
html .category-page-row {
    padding-top: 15px;
}
.price {
    display: flex !important;
    flex-wrap: wrap;
    column-gap: .5em;
    line-height: 1.2;
}
.price ins {
    order: -1;
}
html span.amount {
    color: #d00f00 !important;
}
html del span.amount {
    color: #111 !important;
}
.price del span.amount {
    opacity: .5;
    font-size: 1em;
    margin-right: 0;
    margin-left: 0;
}
html .star-rating span:before, html .star-rating:before {
    color: #ffbe00;
}
.woocommerce-review-link {
    font-size: 1em;
}
/* Content Product */
.product-small.col>.col-inner {
    height: 100%;
    background: #FFF;
    border-radius: .75rem;
    box-shadow: rgba(60,64,67,0.1) 0px 1px 2px 0px,rgba(60,64,67,0.15) 0px 2px 6px 2px;
    transition: all .3s;
}
.product-small.col>.col-inner:hover {
    box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.3);
    transform: scale(1.02);
}
.slider .product-small.col>.col-inner:hover {
    transform: none;
}
.product-small.box {
    font-size: 12px;
    padding: 10px;
    height: 100%;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    justify-content: space-between;
}
@media (max-width: 549px) {
    .product-small.box {
        padding: 5px;
        font-size: 10px;
    }
}
.product-small.box .box-image {
    margin: 0;
}
.product-small.box .box-image > div:first-child {
    background-position: 50% 50%;
    background-size: cover;
    height: auto;
    overflow: hidden;
    padding-top: 100%;
    position: relative;
}
/*@media (max-width: 549px) {
    .product-small.box .box-image > div:first-child {
        padding-top: 90%;
    }
}*/
.product-small.box .box-image img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: auto;
    height: auto;
    max-width: 90%;
    max-height: 90%;
}
.box-text.box-text-products {
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding-bottom: 0;
}
.box-text-products .woocommerce-loop-product__title {
    font-size: .8125rem;
    font-weight: bold;
    margin: 0 0 .5em !important;
}
.box-text-products .woocommerce-loop-product__title a.woocommerce-LoopProduct-link {
    color: inherit;
    margin: 0;
    line-height: 1.4;
    white-space: normal;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    max-height: 4.2em;
    width: auto;
    transition: all .3s;
}
.box-text-products .woocommerce-loop-product__title a.woocommerce-LoopProduct-link:hover {
    color: var(--primary-color);
}
.box-text-products.text-center .price {
    display: flex !important;
    justify-content: center;
    margin-bottom: .5em;
}
.product-small .price {
    font-size: .8125rem;
}
.box-text-products .promotion {
    align-items: flex-start;
    background: #f3f4f6;
    border: 1px solid #e5e7eb;
    border-radius: 5px;
    display: flex;
    font-size: 12px;
    line-height: 1.5;
    margin-left: 0;
    overflow: hidden;
    margin-top: 10px;
    padding: 5px;
    text-transform: none;
    width: auto;
}
@media (max-width: 549px) {
    .box-text-products .promotion {
        font-size: 10px;
        padding: 5px;
    }
}
.box-text-products .add-to-cart-button {
    margin-top: auto;
    display: flex;
    flex-direction: column;
}
.box-text-products .add-to-cart-button a {
    font-size: 12px;
}
.box-text-products .add-to-cart-button a:not(.added_to_cart) {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row-reverse;
    width: 100%;
    background-color: #FFF !important;
    color: #000 !important;
    border: 1px solid transparent;
    border-radius: 16px;
    position: relative;
    padding: 0 0 0 15px;
    height: 34px;
    line-height: 32px;
    outline: none;
    text-transform: uppercase;
    transition: border 0.5s ease;
    -o-transition: border 0.5s ease;
    -moz-transition: border 0.5s ease;
    -webkit-transition: border 0.5s ease;
}
.box-text-products .add-to-cart-button a:not(.added_to_cart):before {
    content: '\f217';
    font-family: 'Font Awesome 5 Pro';
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    background: var(--primary-color);
    color: #FFF;
    margin-left: 1em;
    margin-right: -1px;
    border-radius: 50%;
    transition: all 0.5s;
}
.box-text-products .add-to-cart-button a:not(.added_to_cart):hover {
    border-color: var(--primary-color);
}
@media (max-width: 549px) {
    .box-text-products .add-to-cart-button a:not(.added_to_cart) {
        padding: 0;
        border: none;
    }
    .box-text-products .add-to-cart-button a:not(.added_to_cart):before {
        display: none;
    }
    .box-text-products .add-to-cart-button a:not(.added_to_cart):hover {
        color: var(--primary-color) !important;
    }
}
.box-text-products .woocommerce-product-rating {
    margin-top: 5px;
}
.box-text-products .star-rating {
    font-size: 14px;
}
@media (max-width: 849px) {
    .box-text-products .star-rating {
        font-size: 10px;
    }
}
.product .badge-container {
    top: 0;
    left: -5px;
    z-index: 1;
    margin: 0;
}
.product .badge {
    height: auto;
    margin-left: 0;
}
.product .badge-inner {
    font-size: 13px;
    font-weight: normal;
    padding: 6px 8px;
    border-radius: 10px 30px 30px 0;
    background: #d00f00 !important;
}
.product .badge-inner:after {
    content: '';
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 5px 5px 0;
    border-color: transparent #D00F00 transparent transparent;
    position: absolute;
    left: 0;
    bottom: -5px;
    filter: brightness(0.7);
}
/* Mini Cart */
ul.product_list_widget li a:not(.remove) {
    font-size: .875rem;
    font-weight: bold;
}
.widget_shopping_cart .widget_shopping_cart_content p.total {
    border-bottom: none;
    margin-bottom: 0;
}
.widget_shopping_cart ul.product_list_widget li .quantity {
    opacity: 1;
}
.woocommerce-mini-cart__buttons {
    display: flex;
    column-gap: 1em;
}
.woocommerce-mini-cart__buttons a {
    text-transform: none;
    padding: 0 .5em;
}
html a.remove, html a.icon-remove {
    border-width: 1px;
    line-height: normal !important;
    display: flex !important;
    justify-content: center;
    align-items: center;
}
/* Account Page */
#login-form-popup {
    max-width: 500px;
}
#login-form-popup .large-6 {
    flex-basis: 100%;
    max-width: 100%;
}
.woocommerce-MyAccount-content ul.dashboard-links {
    font-size: 1rem;
    font-weight: bold;
}
.woocommerce-MyAccount-content ul.dashboard-links li {
    margin-left: 0;
}
.woocommerce-MyAccount-content ul.dashboard-links li {
    width: 50%;
}
@media (min-width: 550px) {
    .woocommerce-MyAccount-content ul.dashboard-links li {
        width: 25%;
    }
}
.woocommerce-MyAccount-content ul.dashboard-links a {
    padding: 15px 10px;
}
#customer_login {
    max-width: 1200px;
    margin: 20px auto 0;
    min-height: 300px;
}
@media (max-width: 549px) {
    #customer_login {
        margin-top: 20px;
    }
}
#customer_login .nav > li {
    margin: 0;
}
#customer_login .nav > li > a {
    font-size: 2rem;
    font-weight: bold;
    text-transform: none;
    color: #777;
    text-transform: capitalize;
}
#customer_login .nav > li.active > a {
    color: #000;
}
#customer_login .nav > li:not(:first-child) > a:before {
    content: '/';
    margin: 0 .5em;
    color: #777;
    opacity: 1;
}
@media (max-width: 849px) {
    #customer_login .nav > li > a {
        font-size: 1.8rem;
    }
}
@media (max-width: 549px) {
    #customer_login .nav > li > a {
        font-size: 1.5rem;
    }
    #customer_login .nav > li:not(:first-child) > a:before {
        margin: 0 10px;
    }
}
.account-login-inner > h3, .account-register-inner > h3 {
    text-align: center;
}
#customer_login .button {
    width: 100%;
    margin-right: 0;
    min-height: 50px;
}
#customer_login .woocommerce-form-login .button {
    margin-bottom: 2em;
}
.woocommerce form .password-input, .woocommerce-page form .password-input {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    -webkit-box-pack: center;
    justify-content: center;
    position: relative;
}
.woocommerce form .show-password-input, .woocommerce-page form .show-password-input {
    position: absolute;
    right: .7em;
    top: .5em;
    cursor: pointer;
}
.woocommerce form .show-password-input::after, 
.woocommerce-page form .show-password-input::after {
    font-family: 'Font Awesome 5 Pro';
    speak: none;
    font-weight: 400;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    margin-left: .618em;
    content: "\f06e";
    text-decoration: none;
}
.woocommerce form .show-password-input.display-password::after, 
.woocommerce-page form .show-password-input.display-password::after {
    content: "\f070";
}
#customer_login .woocommerce-form-login__rememberme {
    font-weight: normal;
}
#customer_login .woocommerce-LostPassword {
    position: absolute;
    right: 0;
    bottom: 9px;
    font-size: .9em;
    font-weight: bold;
    text-transform: uppercase;
}
#my-account-menu {
    width: 30%;
    box-sizing: border-box;
}
#my-account-menu.position-vertical-left {
    float: left;
    margin-right: 3%;
}
#my-account-menu ~ .woocommerce-MyAccount-content {
    width: 67%;
    box-sizing: border-box;
    margin: 0;
}
#my-account-menu.position-vertical-left ~ .woocommerce-MyAccount-content {
    float: right;
}
@media (max-width: 549px) {
    #my-account-menu {
        float: none !important;
        margin-right: 0 !important;
        width: 100%;
        margin-bottom: 25px;
    }
    #my-account-menu ~ .woocommerce-MyAccount-content, #my-account-menu .woocommerce-MyAccount-content {
        float: none !important;
        width: 100%;
    }
}
.uni-wcmap .user-profile {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 30px;
}
.uni-wcmap .user-profile .user-avatar {
    margin-right: 20px;
}
.uni-wcmap .user-profile .user-avatar img {
    border-radius: 50%;
}
.uni-wcmap .user-profile .user-info>span {
    display: block;
    margin-bottom: 5px;
}
.uni-wcmap .user-profile .user-info .username {
    font-weight: bold;
    margin-bottom: 0;
}
.uni-wcmap .user-profile .user-info .user-email {
    font-size: 80%;
}
.uni-wcmap .user-profile .user-info>span {
    display: block;
    margin-bottom: 8px;
}
.uni-wcmap .user-profile .user-info .logout a {
    padding: 4px 10px;
    font-size: .8em;
    text-decoration: none;
    text-transform: uppercase;
    border: 0;
    color: #FFF;
    background-color: #c0c0c0;
    display: inline-block;
}
.uni-wcmap .user-profile .user-info .logout a:hover {
    color: #FFF;
    background-color: #333333;
}
#my-account-menu .myaccount-menu {
    list-style: none;
    padding: 0;
    margin: 0;
}
#my-account-menu .myaccount-menu {
    margin-bottom: 30px;
}
#my-account-menu .myaccount-menu li {
    position: relative;
    background-color: #FFF;
    margin: 0;
}
#my-account-menu .myaccount-menu li.active>a, 
#my-account-menu .myaccount-menu li.is-active>a,
#my-account-menu .myaccount-menu li:hover>a {
    background-color: #f5f5f5;
}
#my-account-menu .myaccount-menu li a {
    display: flex;
    align-items: center;
    padding: 10px 15px 10px 15px;
    color: inherit;
    margin: 0;
}
#my-account-menu .myaccount-menu li a:before {
    margin-right: .5em;
    font-family: 'Font Awesome 5 Pro';
    width: 1em;
    text-align: center;
    font-size: .9em;
}
#my-account-menu .myaccount-menu li.woocommerce-MyAccount-navigation-link--dashboard a:before {
    content: '\f3fd';
}
#my-account-menu .myaccount-menu li.woocommerce-MyAccount-navigation-link--orders a:before {
    content: '\f46d';
}
#my-account-menu .myaccount-menu li.woocommerce-MyAccount-navigation-link--downloads a:before {
    content: '\f019';
}
#my-account-menu .myaccount-menu li.woocommerce-MyAccount-navigation-link--edit-address a:before {
    content: '\f3c5';
}
#my-account-menu .myaccount-menu li.woocommerce-MyAccount-navigation-link--edit-account a:before {
    content: '\f406';
}
.woocommerce-Address-title {
    display: flex;
}
.woocommerce-Address-title a.edit {
    font-size: .9em;
}
.woocommerce-Address-title a.edit:before {
    content: '\f044';
    font-family: 'Font Awesome 5 Pro';
    margin-right: .5em;
    font-size: .9em;
}
table.woocommerce-orders-table .button {
    margin-bottom: 0;
}